# Class JComponent.AccessibleJComponent.AccessibleFocusHandler

java.lang.Object
javax.swing.JComponent.AccessibleJComponent.AccessibleFocusHandler

All Implemented Interfaces:
  `FocusListener, EventListener`

Enclosing class:
  `JComponent.AccessibleJComponent`

@Deprecated protected class JComponent.AccessibleJComponent.AccessibleFocusHandler extends Object implements FocusListener
Deprecated.
This class is no longer used or needed. `java.awt.Component.AccessibleAWTComponent` provides the same functionality and it is handled in `Component`.
Fire PropertyChange listener, if one is registered, when focus events happen

Since:
  1.3

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AccessibleFocusHandler()`
  Deprecated.
  Constructs an `AccessibleFocusHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `focusGained(FocusEvent event)`
  Deprecated.
  Invoked when a component gains the keyboard focus.
  `void`
  `focusLost(FocusEvent event)`
  Deprecated.
  Invoked when a component loses the keyboard focus.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### AccessibleFocusHandler

    protected AccessibleFocusHandler()
    Deprecated.
    Constructs an `AccessibleFocusHandler`.

- ## Method Details

  - ### focusGained

    public void focusGained(FocusEvent event)
    Deprecated.
    Description copied from interface: `FocusListener`
    Invoked when a component gains the keyboard focus.
    Specified by:
      `focusGained` in interface `FocusListener`
    Parameters:
      `event` - the event to be processed

  - ### focusLost

    public void focusLost(FocusEvent event)
    Deprecated.
    Description copied from interface: `FocusListener`
    Invoked when a component loses the keyboard focus.
    Specified by:
      `focusLost` in interface `FocusListener`
    Parameters:
      `event` - the event to be processed